# HotReload

HotReload automatically reloads cogs in local cog paths on file change.  
This is useful for development, as it allows you to make changes to your cogs and see the changes reflected in Discord immediately, without having to manually `[p]reload` the cog.

## Installation

```bash
[p]repo add seacogs https://www.coastalcommits.com/cswimr/SeaCogs
[p]cog install seacogs hotreload
[p]load hotreload
```

## Commands

### hotreload compile

Determines if the cog should try to compile a modified Python file before reloading the associated cog. Useful for catching syntax errors. Disabled by default.

### hotreload notifychannel

Set the channel where hotreload will send notifications when a cog is reloaded.

### hotreload list

Debugging command that shows the list of currently active observers. May be expanded in the future to show watched file paths.
